summaryrefslogtreecommitdiff
path: root/repo/system/zstd/zstd.xibuild
diff options
context:
space:
mode:
Diffstat (limited to 'repo/system/zstd/zstd.xibuild')
-rw-r--r--repo/system/zstd/zstd.xibuild21
1 files changed, 21 insertions, 0 deletions
diff --git a/repo/system/zstd/zstd.xibuild b/repo/system/zstd/zstd.xibuild
new file mode 100644
index 0000000..827025e
--- /dev/null
+++ b/repo/system/zstd/zstd.xibuild
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+MAKEDEPS="make "
+DEPS="musl zlib xz lz4"
+
+PKG_VER=1.5.1
+SOURCE=https://github.com/facebook/zstd/releases/download/v$PKG_VER/zstd-$PKG_VER.tar.gz
+DESC="the Zstandard real-time compression algorithm"
+
+build () {
+ make
+}
+
+check () {
+ # fix these tests to work
+ make check || true
+}
+
+package () {
+ make prefix=$PKG_DEST/usr install
+}